@Echo off
REM ***
REM *** Das BootSektor V2.0 (c) 1993 Drayman
REM ***

VESASTAT
IF ERRORLEVEL 2 GOTO VESAOK

TRIDENT1.EXE

:VESAOK
DBS93.EXE

IF ERRORLEVEL 4 GOTO CFGFILE
IF ERRORLEVEL 3 GOTO LIBFILE
IF ERRORLEVEL 2 GOTO MOUSE
IF ERRORLEVEL 1 GOTO VESA
GOTO END

:VESA
ECHO ERROR: Vesa driver not installed!
GOTO END

:MOUSE
ECHO ERROR: Mouse driver not installed!
GOTO END

:LIBFILE
ECHO ERROR: DBS.LIB file not found!
GOTO END

:CFGFILE
ECHO ERROR: Config file not found!
ECHO Please, run INSTALL.EXE!
GOTO END

:END
